- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# dellos6_command – Run commands on remote devices running Dell OS6

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Sends arbitrary commands to a Dell OS6 node and returns the results read from the device. This module includes an argument that will cause the module to wait for a specific condition before returning or timing out if the condition is not met.

- This module does not support running commands in configuration mode. Please use dellos6_config to configure Dell OS6 devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
commands list / required |  | List of commands to send to the remote dellos6 device over the configured provider. The resulting output from the command is returned. If the wait_for argument is provided, the module is not returned until the condition is satisfied or the number of retries has expired.
interval integer | Default: 1 | Configures the interval in seconds to wait between retries of the command. If the command does not pass the specified conditions, the interval indicates how long to wait before trying the command again.
match string added in 2.5 | Choices: all ← any | The match argument is used in conjunction with the wait_for argument to specify the match policy. Valid values are `all` or `any`. If the value is set to `all` then all conditionals in the wait_for must be satisfied. If the value is set to `any` then only one of the values must be satisfied.
provider dictionary |  | A dict object containing connection details.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Password to authenticate the SSH session to the remote device. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile path |  | Path to an ssh key used to authenticate the SSH session to the remote device. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies idle timeout (in seconds) for the connection. Useful if the console freezes before continuing. For example when saving configurations.
| username string |  | User to authenticate the SSH session to the remote device. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
retries integer | Default: 10 | Specifies the number of retries a command should be tried before it is considered failed. The command is run on the target device every retry and evaluated against the wait_for conditions.
wait_for list |  | List of conditions to evaluate against the output of the command. The task will wait for each condition to be true before moving forward. If the conditional is not true within the configured number of retries, the task fails. See examples.

## Notes

Note

- For more information on using Ansible to manage Dell EMC Network devices see https://www.ansible.com/ansible-dell-networking.

## Examples

    tasks:
      - name: run show version on remote devices
        dellos6_command:
          commands: show version

      - name: run show version and check to see if output contains Dell
        dellos6_command:
          commands: show version
          wait_for: result[0] contains Dell

      - name: run multiple commands on remote nodes
        dellos6_command:
          commands:
           - show version
           - show interfaces

      - name: run multiple commands and evaluate the output
        dellos6_command:
          commands:
           - show version
           - show interfaces
          wait_for:
           - result[0] contains Dell
           - result[1] contains Access

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
failed_conditions list | failed | The list of conditionals that have failed Sample: ['...', '...']
stdout list | always apart from low level errors (such as action plugin) | The set of responses from the commands Sample: ['...', '...']
stdout_lines list | always apart from low level errors (such as action plugin) | The value of stdout split into a list Sample: [['...', '...'], ['...'], ['...']]
warnings list | always | The list of warnings (if any) generated by module based on arguments Sample: ['...', '...']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Abirami N (@abirami-n)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.